<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:45 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BaseService (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BaseService (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BaseService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/service/AuthenticationService.html" title="class in io.mosip.registration.service"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/service/LoginService.html" title="interface in io.mosip.registration.service"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/service/BaseService.html" target="_top">Frames</a></li>
<li><a href="BaseService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.service</div>
<h2 title="Class BaseService" class="title">Class BaseService</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.service.BaseService</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../io/mosip/registration/service/audit/impl/AuditServiceImpl.html" title="class in io.mosip.registration.service.audit.impl">AuditServiceImpl</a>, <a href="../../../../io/mosip/registration/service/config/impl/GlobalParamServiceImpl.html" title="class in io.mosip.registration.service.config.impl">GlobalParamServiceImpl</a>, <a href="../../../../io/mosip/registration/service/config/impl/JobConfigurationServiceImpl.html" title="class in io.mosip.registration.service.config.impl">JobConfigurationServiceImpl</a>, <a href="../../../../io/mosip/registration/service/mapping/impl/MapMachineServiceImpl.html" title="class in io.mosip.registration.service.mapping.impl">MapMachineServiceImpl</a>, <a href="../../../../io/mosip/registration/util/common/OTPManager.html" title="class in io.mosip.registration.util.common">OTPManager</a>, <a href="../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketSynchServiceImpl</a>, <a href="../../../../io/mosip/registration/service/packet/impl/PacketUploadServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">PacketUploadServiceImpl</a>, <a href="../../../../io/mosip/registration/service/impl/PolicySyncServiceImpl.html" title="class in io.mosip.registration.service.impl">PolicySyncServiceImpl</a>, <a href="../../../../io/mosip/registration/service/sync/impl/PreRegistrationDataSyncServiceImpl.html" title="class in io.mosip.registration.service.sync.impl">PreRegistrationDataSyncServiceImpl</a>, <a href="../../../../io/mosip/registration/service/packet/impl/RegPacketStatusServiceImpl.html" title="class in io.mosip.registration.service.packet.impl">RegPacketStatusServiceImpl</a>, <a href="../../../../io/mosip/registration/jobs/impl/SyncManagerImpl.html" title="class in io.mosip.registration.jobs.impl">SyncManagerImpl</a>, <a href="../../../../io/mosip/registration/service/sync/impl/SyncStatusValidatorServiceImpl.html" title="class in io.mosip.registration.service.sync.impl">SyncStatusValidatorServiceImpl</a>, <a href="../../../../io/mosip/registration/util/acktemplate/TemplateGenerator.html" title="class in io.mosip.registration.util.acktemplate">TemplateGenerator</a>, <a href="../../../../io/mosip/registration/service/impl/UserDetailServiceImpl.html" title="class in io.mosip.registration.service.impl">UserDetailServiceImpl</a></dd>
</dl>
<hr>
<br>
<pre>@Service
public class <span class="typeNameLabel">BaseService</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">The BaseService class.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../io/mosip/registration/util/restclient/ServiceDelegateUtil.html" title="class in io.mosip.registration.util.restclient">ServiceDelegateUtil</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#serviceDelegateUtil">serviceDelegateUtil</a></span></code>
<div class="block">serviceDelegateUtil which processes the HTTPRequestDTO requests</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#BaseService--">BaseService</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#getCenterId--">getCenterId</a></span>()</code>
<div class="block">Gets the center id.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#getCenterId-java.lang.String-">getCenterId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;stationId)</code>
<div class="block">Gets the center id.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected <a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#getErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">getErrorResponse</a></span>(<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;response,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</code>
<div class="block">create error response.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#getGlobalConfigValueOf-java.lang.String-">getGlobalConfigValueOf</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</code>
<div class="block">Get Global Param configuration value.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#getMacAddress--">getMacAddress</a></span>()</code>
<div class="block">Gets the mac address.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#getStationId-java.lang.String-">getStationId</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;macAddress)</code>
<div class="block">Gets the station id.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#getUserIdFromSession--">getUserIdFromSession</a></span>()</code>
<div class="block">Get User Id using session context.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#isEmpty-java.util.List-">isEmpty</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;?&gt;&nbsp;list)</code>
<div class="block">Checks if is empty.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#isNull-java.util.List-">isNull</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;?&gt;&nbsp;list)</code>
<div class="block">Checks if is null.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#isValidDevice-io.mosip.registration.constants.DeviceTypes-java.lang.String-">isValidDevice</a></span>(<a href="../../../../io/mosip/registration/constants/DeviceTypes.html" title="enum in io.mosip.registration.constants">DeviceTypes</a>&nbsp;deviceType,
             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serialNo)</code>
<div class="block">To check the device is valid or not.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#packetStatusDtoPreperation-io.mosip.registration.entity.Registration-">packetStatusDtoPreperation</a></span>(<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;registration)</code>
<div class="block">Convertion of Registration to Packet Status DTO.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#setErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setErrorResponse</a></span>(<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;response,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</code>
<div class="block">create error response.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../io/mosip/registration/service/BaseService.html#setSuccessResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">setSuccessResponse</a></span>(<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;responseDTO,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                  <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</code>
<div class="block">create success response.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="serviceDelegateUtil">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>serviceDelegateUtil</h4>
<pre>@Autowired
protected&nbsp;<a href="../../../../io/mosip/registration/util/restclient/ServiceDelegateUtil.html" title="class in io.mosip.registration.util.restclient">ServiceDelegateUtil</a> serviceDelegateUtil</pre>
<div class="block">serviceDelegateUtil which processes the HTTPRequestDTO requests</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BaseService--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BaseService</h4>
<pre>public&nbsp;BaseService()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getErrorResponse</h4>
<pre>protected&nbsp;<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;getErrorResponse(<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;response,
                                       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                                       <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</pre>
<div class="block">create error response.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>response</code> - the response</dd>
<dd><code>message</code> - the message</dd>
<dd><code>attributes</code> - the attributes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ResponseDTO returns the responseDTO after creating appropriate error
         response and mapping to it</dd>
</dl>
</li>
</ul>
<a name="setSuccessResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSuccessResponse</h4>
<pre>public&nbsp;<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;setSuccessResponse(<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;responseDTO,
                                      <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                                      <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</pre>
<div class="block">create success response.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>responseDTO</code> - the response DTO</dd>
<dd><code>message</code> - the message</dd>
<dd><code>attributes</code> - the attributes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ResponseDTO returns the responseDTO after creating appropriate
         success response and mapping to it</dd>
</dl>
</li>
</ul>
<a name="setErrorResponse-io.mosip.registration.dto.ResponseDTO-java.lang.String-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setErrorResponse</h4>
<pre>protected&nbsp;<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;setErrorResponse(<a href="../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a>&nbsp;response,
                                       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
                                       <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;attributes)</pre>
<div class="block">create error response.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>response</code> - the response</dd>
<dd><code>message</code> - the message</dd>
<dd><code>attributes</code> - the attributes</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ResponseDTO returns the responseDTO after creating appropriate error
         response and mapping to it</dd>
</dl>
</li>
</ul>
<a name="getUserIdFromSession--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserIdFromSession</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUserIdFromSession()</pre>
<div class="block">Get User Id using session context.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>user id</dd>
</dl>
</li>
</ul>
<a name="isValidDevice-io.mosip.registration.constants.DeviceTypes-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isValidDevice</h4>
<pre>public&nbsp;boolean&nbsp;isValidDevice(<a href="../../../../io/mosip/registration/constants/DeviceTypes.html" title="enum in io.mosip.registration.constants">DeviceTypes</a>&nbsp;deviceType,
                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serialNo)</pre>
<div class="block">To check the device is valid or not.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>deviceType</code> - the device type</dd>
<dd><code>serialNo</code> - the serial no</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if is valid device</dd>
</dl>
</li>
</ul>
<a name="isNull-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNull</h4>
<pre>public&nbsp;boolean&nbsp;isNull(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;?&gt;&nbsp;list)</pre>
<div class="block">Checks if is null.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - the list</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if is null</dd>
</dl>
</li>
</ul>
<a name="isEmpty-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre>public&nbsp;boolean&nbsp;isEmpty(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;?&gt;&nbsp;list)</pre>
<div class="block">Checks if is empty.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>list</code> - the list</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if is empty</dd>
</dl>
</li>
</ul>
<a name="getStationId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStationId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getStationId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;macAddress)</pre>
<div class="block">Gets the station id.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>macAddress</code> - the mac address</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the station id</dd>
</dl>
</li>
</ul>
<a name="getCenterId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenterId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCenterId()</pre>
<div class="block">Gets the center id.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the center id</dd>
</dl>
</li>
</ul>
<a name="getCenterId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCenterId</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getCenterId(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;stationId)</pre>
<div class="block">Gets the center id.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>stationId</code> - the station id</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the center id</dd>
</dl>
</li>
</ul>
<a name="getMacAddress--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMacAddress</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMacAddress()</pre>
<div class="block">Gets the mac address.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the mac address</dd>
</dl>
</li>
</ul>
<a name="getGlobalConfigValueOf-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGlobalConfigValueOf</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getGlobalConfigValueOf(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;key)</pre>
<div class="block">Get Global Param configuration value.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the name</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>value</dd>
</dl>
</li>
</ul>
<a name="packetStatusDtoPreperation-io.mosip.registration.entity.Registration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>packetStatusDtoPreperation</h4>
<pre>public&nbsp;<a href="../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&nbsp;packetStatusDtoPreperation(<a href="../../../../io/mosip/registration/entity/Registration.html" title="class in io.mosip.registration.entity">Registration</a>&nbsp;registration)</pre>
<div class="block">Convertion of Registration to Packet Status DTO.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>registration</code> - the registration</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the packet status DTO</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BaseService.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../io/mosip/registration/service/AuthenticationService.html" title="class in io.mosip.registration.service"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../io/mosip/registration/service/LoginService.html" title="interface in io.mosip.registration.service"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?io/mosip/registration/service/BaseService.html" target="_top">Frames</a></li>
<li><a href="BaseService.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
